# Define the library
dobj_sources = files(
  'private/Metadata.cpp',
  'private/DObject.cpp',
  'private/LockableDObject.cpp'
)

dobj_headers = files(
  'public/Metadata.h',
  'public/DObject.h',
  'public/LockableDObject.h'
)

# Define the libdobj library so it can be linked against by other parts of the build system
libdobj = library('dobj',
    dobj_sources, 
    include_directories: include_directories('public'),
    cpp_args: ['-fvisibility=default'],
    install : true)

# Make headers accessible
install_headers(dobj_headers, subdir : '4DSSE/dobj')